#!/bin/bash

# check that $1 folder does not exit
[ -d "$1" ] && echo "Folder $1 already exists" && exit 1

echo "*** Starting New Slim Project ***"

################################################################################
# Check composer installed
################################################################################

composer -v > /dev/null 2>&1
COMPOSER=$?
if [[ $COMPOSER -ne 0 ]]; then
    echo 'Composer is not installed'
    echo 'Checkout how to Install Composer here: https://www.nickyeoman.com/blog/php/install-composer-on-ubuntu/'
    echo 'Once installed, try running this script again'
    exit 1
fi

mkdir $1
cd $1

################################################################################
# Create directories
################################################################################

mkdir sass templates
mkdir -p public/css
# TODO: public index.php file

################################################################################
# Composer
################################################################################

composer require slim/slim:"4.*"
composer require slim/psr7
composer require slim/twig-view
composer require nickyeoman/nytwig
composer require nickyeoman/sassLibrary

################################################################################
# Docker
################################################################################
echo "Creating a docker-compose"
wget https://raw.githubusercontent.com/nickyeoman/phpframework/main/docker/docker-compose.yml

echo "Creating a Dockerfile"
wget https://raw.githubusercontent.com/nickyeoman/phpframework/main/docker/Dockerfile

wget -O .env https://raw.githubusercontent.com/nickyeoman/phpframework/main/env.sample 

################################################################################
# Git 
################################################################################

git init
#echo '.sass-cache/' >> .gitignore
git add .
git commit -m"First Commit, slim installed"

################################################################################
# Clean up
################################################################################

echo '***********************************'
echo ''
echo 'done'

